Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021622Runner[All Projects] GeneralPublic2016-05-23 15:172017-03-02 15:32
ReporterJames Buckle 
Assigned ToMike Rennie 
PriorityNoneSeverityC - GeneralReproducibility100%
StatusClosedResolutionFixed 
Platform OS OS Version
Summary0021622: Functions: skeleton_bone_state_set() causes a memory leak
DescriptionIf a value within the skeleton is altered and then skeleton_bone_state_set is called in Animation update, memory usage can be seen increasing.
This value will drop occasionally but overall it will increase.
Steps To ReproduceOpen the attached .gmz
Open Windows task manager -> Details
Run normally and find Runner.exe in the Task Manager
Observe green bar on screen
Observe runner.exe in Task Manager: Process view shows memory usage as constant
Left click on screen, green arm begins to rotate.
Observe memory usage in the task manager increases at a continuous and constant rate.
Left click on screen again to stop arm.
Observe memory usage is static.
Additional InformationOriginal helpdesk ticket: http://help.yoyogames.com/tickets/105701 [^]
1.4 Version
2.x Runtime Version
2.x Runtime Version Verified In
Attached Files? file icon Ticket105701.gmz [^] (29,796 bytes) 2016-05-23 15:20

- Relationships

-  Notes
(0050579)
messhof (Updater)
2016-12-02 07:39

I can confirm this happens in 7.7.1366
(0051898)
Ross Manthorp (Administrator)
2017-03-02 15:32

Verified. Closed.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker